require "application_system_test_case"

class DatatypesTest < ApplicationSystemTestCase
  setup do
    @datatype = datatypes(:one)
  end

  test "visiting the index" do
    visit datatypes_url
    assert_selector "h1", text: "Datatypes"
  end

  test "should create datatype" do
    visit datatypes_url
    click_on "New datatype"

    fill_in "Name", with: @datatype.name
    fill_in "Regex", with: @datatype.regex
    click_on "Create Datatype"

    assert_text "Datatype was successfully created"
    click_on "Back"
  end

  test "should update Datatype" do
    visit datatype_url(@datatype)
    click_on "Edit this datatype", match: :first

    fill_in "Name", with: @datatype.name
    fill_in "Regex", with: @datatype.regex
    click_on "Update Datatype"

    assert_text "Datatype was successfully updated"
    click_on "Back"
  end

  test "should destroy Datatype" do
    visit datatype_url(@datatype)
    click_on "Destroy this datatype", match: :first

    assert_text "Datatype was successfully destroyed"
  end
end
